/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.atuscriptrecord;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
* Restful接口--新增资源--数据传输对象：全局变量表
*
* createdate:  2022-10-29 11:35:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "全局变量表")
public class AtuGlobalVariableAddDto implements Serializable
{
    /**
     * 变量名称<br>
     */
    @ApiModelProperty("变量名称")
    @Size(max = 30, message="变量名称-name: 数据长度不能 > 30" )
    private String name;
    /**
     * 数据类型<br>
     */
    @ApiModelProperty("数据类型")
    @Size(max = 10, message="数据类型-dataType: 数据长度不能 > 10" )
    private String type;
    /**
     * 默认值<br>
     */
    @ApiModelProperty("默认值")
    @Size(max = 256, message="默认值-defaultValue: 数据长度不能 > 256" )
    private String defaultValue;
    /**
     * 描述<br>
     */
    @ApiModelProperty("描述")
    @Size(max = 50, message="描述-memo: 数据长度不能 > 50" )
    private String desc;
    /**
     * 系统id<br>
     */
    @ApiModelProperty("系统id")
    @Size(max = 32, message="系统id-projectId: 数据长度不能 > 32" )
    private String projectId;
    @ApiModelProperty(value = "是全局变量（false）还是脚本变量(true)")
    private boolean variableType;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDefaultValue() {
        return defaultValue;
    }

    public void setDefaultValue(String defaultValue) {
        this.defaultValue = defaultValue;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public boolean isVariableType() {
        return variableType;
    }

    public void setVariableType(boolean variableType) {
        this.variableType = variableType;
    }
}